<?php
include_once "../controladores/direcciones.controlador.php";
include_once "../modelos/direcciones.modelo.php";

class AjaxDirecciones {
     public $idzona;
     public $idDireccion;
     public function ajxConsultarZonaId(){
         $id = $this->idzona;
         $resultado = ControladorDirecciones::ctrConsultarZonaId($id);
        echo json_encode($resultado);
     }

     public function ajxEliminarZona(){
        $id = $this->idzona;
        $ejecutar = ControladorDirecciones::ctrEliminarZona($id);
        echo json_encode($ejecutar);
     }

     public function ajzEliminarDireccion(){
        $id = $this->idDireccion;
        $ejecutar = ControladorDirecciones::ctrEliminarDireccion($id);
        echo json_encode($ejecutar);
     }

     public function ajxConsultarDireccionId(){
         $id = $this->idDireccion;
         $ejecutar = ControladorDirecciones::ctrConsultarDireccionId($id);
        echo json_encode($ejecutar);
     }
}
if(isset($_POST['eliminardireccion'])){
    if(!empty($_POST['eliminardireccion'])){
        $eliminar = new AjaxDirecciones();
        $eliminar->idDireccion = $_POST['eliminardireccion'];
        $eliminar->ajzEliminarDireccion();
    }
}

if(isset($_POST['idzona'])){
    if(!empty($_POST['idzona'])){
        $consultarZona = new AjaxDirecciones();
        $consultarZona->idzona = $_POST['idzona'];
        $consultarZona->ajxConsultarZonaId();
    }
  
}
if(isset($_POST['eliminarzona'])){
    if(!empty($_POST['eliminarzona'])){
        $eleminar = new AjaxDirecciones();
        $eleminar->idzona = $_POST['eliminarzona'];
        $eleminar->ajxEliminarZona();
    }
}

if(isset($_POST["iddireccion"])){

	$consultarDireccion = new AjaxDirecciones();
	$consultarDireccion -> idDireccion = $_POST["iddireccion"];
	$consultarDireccion -> ajxConsultarDireccionId();

}


//echo json_encode("ingresando");